Page MenuHomePhabricator

Show automatically disabled filters
Closed, ResolvedPublic

Description

Currently on Special:AbuseFilter there's no way to see if a filter has been automatically disabled if one does not check filter by filter, as the main abusefilter page shows the filter as "enabled" even if it has been automatically disabled by the system. In order to identify those disabled filters, please show an "automatically disabled" status on Special:AbuseFilter for those. Otherwise it is hard to notice. They should show in a different shadow, maybe a light red instead of light grey, so admins can see easily those. Obviously the "enabled" checkbox inside the filter should also be unchecked when the filter autodisables so admins don't understand what is happening.

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterShow throttled filters in Special:AbuseFilter

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 27 2016, 10:42 PM
-jem- added a subscriber: -jem-.Dec 27 2016, 11:04 PM
Daimona triaged this task as Medium priority.Apr 3 2018, 12:09 PM
Daimona moved this task from Backlog to Management UI on the AbuseFilter board.
Daimona added a subscriber: Daimona.May 3 2018, 6:15 PM

@MarcoAurelio I was going to submit a patch, but first I'd need a clarification: the only "automatically disabled" case that I know of is throttling, but that doesn't mean that the filter is disabled: instead, only some actions are disabled. Anyway, since I suspect this is what you were talking about (and throttling is useful to see on Special:AbuseFilter) I'll send a patch for that.

Change 430641 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Show throttled filters in Special:AbuseFilter

https://gerrit.wikimedia.org/r/430641

Daimona claimed this task.May 3 2018, 6:33 PM

@MarcoAurelio I was going to submit a patch, but first I'd need a clarification: the only "automatically disabled" case that I know of is throttling, but that doesn't mean that the filter is disabled: instead, only some actions are disabled. Anyway, since I suspect this is what you were talking about (and throttling is useful to see on Special:AbuseFilter) I'll send a patch for that.

Hi @Daimona - Yes, that's right. I mean the disabling performed by the AbuseFilter extension itself when the filter reaches a number of actions per unit of time. Thanks for having a look at this :-)

Change 430641 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Show throttled filters in Special:AbuseFilter

https://gerrit.wikimedia.org/r/430641

Daimona closed this task as Resolved.Jun 8 2018, 8:52 PM
Daimona removed a project: Patch-For-Review.